---
title: createMediaKeys()
slug: Web/API/MediaKeySystemAccess/createMediaKeys
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemAccess
  - Method
  - NeedsExample
  - Reference
  - Video
  - createMediaKeys
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemAccess.createMediaKeys()</code> method returns a {{jsxref('Promise')}} that resolves to a new {{domxref('MediaKeys')}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>mediaKeys</var> = await <var>mediaKeySystemAccess</var>.createMediaKeys();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemaccess-createmediakeys', 'createMediaKeys()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemAccess.createMediaKeys")}}</p>
</div>
